/*
 * @DEC_COPYRIGHT@
 * 
 * HINT: set tabstops to 4 
 *
 */
/*
 * HISTORY
 * $Log: emx_data.c,v $
 * Revision 1.1.9.1  2000/05/09  16:31:19  James_Smart
 *  Check in Rev 1.22 kit to pthwindos.
 *
 * Revision 1.1.4.21  2000/04/05  03:36:08  James_Smart
 * 	Check in Rev 1.19 kit to pthwindos
 *
 * Revision 1.1.4.20  2000/03/13  17:24:33  James_Smart
 * 	Check in Rev 1.18 kit to pthwindos
 *
 * Revision 1.1.4.19  2000/02/17  20:00:12  James_Smart
 * 	Check in Rev 1.17 kit to pthwindos
 *
 * Revision 1.1.4.18  2000/01/27  16:50:59  James_Smart
 * 	Check in Rev 1.16 kit to pthwindos
 *
 * Revision 1.1.4.17  2000/01/14  22:50:35  James_Smart
 * 	Check in Rev 1.15 kit to pthwindos
 *
 * Revision 1.1.4.16  2000/01/04  22:35:41  James_Smart
 * 	Check in Rev 1.14 kit to pthwindos
 *
 * Revision 1.1.4.15  1999/12/17  02:30:54  James_Smart
 * 	Check in Rev 1.13 kit to pthwindos
 *
 * Revision 1.1.4.14  1999/10/14  22:13:47  James_Smart
 * 	Check in Rev 1.12 kit to pthwindos
 *
 * Revision 1.1.4.13  1999/06/15  19:38:58  James_Smart
 * 	Check in Rev 1.11 kit to pthwindos
 * 	[1999/06/11  11:31:20  James_Smart]
 *
 * Revision 1.1.4.12  1999/05/04  20:22:39  James_Smart
 * 	Check in Rev 1.10 kit to pthwindos
 * 	[1999/04/30  17:02:41  James_Smart]
 * 
 * Revision 1.1.4.11  1999/03/17  21:07:13  James_Smart
 * 	Check in Rev 1.09 kit to pthwindos
 * 	[1999/03/17  18:19:43  James_Smart]
 * 
 * Revision 1.1.4.10  1999/03/11  19:07:13  James_Smart
 * 	Check in Rev 1.08 kit to pthwindos
 * 	[1999/03/10  19:38:25  James_Smart]
 * 
 * Revision 1.1.4.9  1999/02/24  20:53:54  James_Smart
 * 	Check in Rev 1.06 kit to pthwindos
 * 	[1999/02/23  20:30:20  James_Smart]
 * 
 * Revision 1.1.4.8  1999/02/08  20:54:57  James_Smart
 * 	Check in Rev 1.04 kit to pthwindos
 * 	[1999/02/08  20:36:21  James_Smart]
 * 
 * Revision 1.1.4.7  1999/01/22  22:36:41  James_Smart
 * 	Check in Rev 1.03 kit to pthwindos
 * 	[1999/01/22  17:43:33  James_Smart]
 * 
 * Revision 1.1.4.6  1998/12/07  14:56:57  James_Smart
 * 	Check in Rev 1.00 kit to pthwindos
 * 	[1998/12/04  14:39:45  James_Smart]
 * 
 * Revision 1.1.4.5  1998/11/06  15:11:38  James_Smart
 * 	Check in Rev 0.12 kit to pthwindos
 * 	[1998/10/28  15:01:10  James_Smart]
 * 
 * Revision 1.1.4.4  1998/09/30  15:59:35  James_Smart
 * 	Check in Rev 0.11 kit to pthwindos
 * 	[1998/09/24  21:16:31  James_Smart]
 * 
 * Revision 1.1.4.3  1998/08/20  14:16:20  James_Smart
 * 	Creation of emx_data.h instead of including emx_data.c
 * 	(data structure declarations now in exported .h)
 * 	[1998/08/20  13:04:12  James_Smart]
 * 
 * 	Check in Rev 0.10 kit to pthwindos
 * 	[1998/08/14  18:54:42  James_Smart]
 * 
 * Revision 1.1.1.3  1998/06/17  15:28:27  James_Smart
 * 	Check in Rev 0.09 kit to pthwindos
 * 
 * Revision 1.1.1.2  1998/06/17  14:23:57  James_Smart
 * 	Creation
 * 
 * $EndLog$
 */
#pragma ident "@(#)$RCSfile: emx_data.c,v $ $Revision: 1.1.9.1 $ (DEC) $Date: 2000/05/09 16:31:19 $"


/* ----------------------------------------------------------------------
 *
 * emx_data.c - EMX driver data.c file
 *
 * Contains data structures used to pass static configuration data to
 * the EMX driver. This data primarily maps FC port names to CAM target
 * id assignments. It also allow the capability to provide per-instance
 * tuneable attributes.
 *
 * There are 2 types of data passed to the kernel.
 *    An attribute values that apply to a particular instance of an
 *      adapter (instance is 0 for emx0, 1 for emx1, etc).
 *    A CAM target ID assignment to FC Port mapping that applies to
 *      a port attached to a particular instance of an adapter.
 *
 * An array of each type of data is passed to the kernel.
 *  
 * ---------------------------------------------------------------------- */

/*
 * Pick up the definition of whether the driver is configured into
 * the kernel
 */
#include <emx.h>

/* This is being included by the kernel compilation process */
#if (NEMX > 0)


#include <io/cam/emx/emx_data.h>


EMX_ATTRIBUTE_RECORD        emx_attribute_records[] = {

    /* Insert records below here */

/*emx?  attribute_number        attribute_value */


    /* Insert records above here */

    /* end of array marker */
    TERMINAL_INSTANCE_NUMBER,
};





EMX_FCPID_RECORD            emx_fcpid_records[] = {

    /* Insert records below here */

/*emx? tgtid  FC Port Name                     FC Node Name */


    /* Insert records above here */

    /* end of array marker */
    TERMINAL_INSTANCE_NUMBER,
};


#endif /* (NEMX > 0) */


